WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: Google Doc Embedder] Install Error (8 posts)

  1. Scott Winterroth
    Member
    Posted 4 years ago #

    Hi, Totally great idea, I can really use this on one of my blogs! Thanks!

    I'm getting an error when activating it.

    Fatal error: Call to undefined function: t() in /home/content/.../wp-content/plugins/google-document-embedder/gviewer.php on line 103

    Please help!

    Update:

    On another text blog of mine, I can activate it but I get this error when I open the settings:

    Cannot redeclare t() (previously declared in /home/content.../wp-content/plugins/google-document-embedder/gviewer.php:113) in /home/content.../wp-content/plugins/google-document-embedder/wpframe.php on line 42

    http://wordpress.org/extend/plugins/google-document-embedder/

  2. k3davis
    Member
    Posted 4 years ago #

    Hi,

    Yes - I can only apologize, I noticed the same errors on my site when the automatic update triggered. It seems I had an unholy reliance on another plugin that was causing the distress, and it took me a few tries to find the right fix. I'm also not very skilled at the svn so I didn't have all the files uploaded correctly. Sorry for the inconvenience this caused.

    If you don't mind, please try completely removing the plugin and re-downloading it and installing it fresh. If this fails to fix it for you, we can dig deeper.

    -Kevin
    (a fellow chicagoan?)

  3. Scott Winterroth
    Member
    Posted 4 years ago #

    Works Great! Thanks, for the awesome plug-in. I've been looking for something like this for about a year.

    Yes, Fellow Chicagoan! Nice to meet you!

  4. k3davis
    Member
    Posted 4 years ago #

    Thanks for the kind words, as this is the first plug-in I've released publicly. Thanks also for being willing to help me confirm that the issue is fixed. If only the same could be said about our Cubs... :)

  5. blujip
    Member
    Posted 4 years ago #

    Hey,

    Please help.

    Received the same error message:
    Fatal error: Call to undefined function t() in /home/pkm44/public_html/adventureholidaysreport.com/wp-content/plugins/google-document-embedder/gviewer.php on line 103

    Soon as I clicked on install the plugin blocked my admin pass word. Unable to login to uninstall plugin and my conact,privacy and TOS pages are showing code 404.

    Please can you assist?

  6. k3davis
    Member
    Posted 4 years ago #

    blujip, did you install the plugin before 1.0.3 and then upgrade? There was an installation bug in 1.0 that caused this problem. Deleting the plugin manually (via FTP or the file browser in your site's control panel, for example) should clear any areas that block your admin from functioning correctly. A clean download and install of the current version of the plugin should then fix the issue.

    I am sorry about this! If you need more direct help, you can find my email address in the GPL statement at the top of gviewer.php.

  7. blujip
    Member
    Posted 4 years ago #

    Hey,

    I deleted the plugin as per your instructions. Now able to login admin panel.

    Still unable to view my footer pages (contact/sitemap/privacy) getting Error code 404.I'll submit support ticket to my hosting and see what the can do.

  8. k3davis
    Member
    Posted 4 years ago #

    The 404 pages are certainly unrelated to this plugin, but I'm glad you got your admin working again.

Topic Closed

This topic has been closed to new replies.

About this Topic